<template>
  <div>
    <no-ssr>
      <ui-kit-window
        v-for="(_, index) in $store.state.windows.items"
        :title="$t('dragModalsPage.title', { index })"
        :index="index"
        :key="index"
      >
        <div class="mock-label">{{ $t('dragModalsPage.placeholder') }}</div>
      </ui-kit-window>
    </no-ssr>

    <button v-show="hasHidden" @click="restoreWindow" class="button button-info button-restore">
      {{ $t('dragModalsPage.restore') }}
    </button>
  </div>
</template>

<script lang="ts">
  import { Component, Vue } from 'nuxt-property-decorator';
  import UiKitWindow from '~/components/UiKitWindow.vue';
  import {HAS_HIDDEN_WINDOWS, INIT_WINDOWS, RESTORE_WINDOW} from "~/store/windows";

  @Component({
    components: { UiKitWindow }
  })
  export default class DragModals extends Vue {
    fetch({ store }) {
      store.commit('setTitle', 'sidebar.dragModals');
    }

    beforeMount() {
      this.$store.commit(INIT_WINDOWS);
    }

    restoreWindow() {
      this.$store.commit(RESTORE_WINDOW);
    }

    get hasHidden() {
      return this.$store.getters[HAS_HIDDEN_WINDOWS];
    }
  }
</script>
